Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class DocumentBuilder

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder

public abstract class DocumentBuilder
extends java.lang.Object

DocumentBuilder

Version:
  $Id: DocumentBuilder.java,v 1.6 2001/11/02 21:40:25 db Exp $
Author:
  Andrew Selkirk, David Brownell

Constructor Summary
`protected` | `DocumentBuilder()`

Method Summary
`abstract DOMImplementation` | `getDOMImplementation()`
`abstract boolean` | `isNamespaceAware()`
`abstract boolean` | `isValidating()`
`abstract Document` | `newDocument()`
`Document` | `parse(java.io.File file)` Constructs an InputSource from the file, and invokes parse ().
`abstract Document` | `parse(InputSource source)`
`Document` | `parse(java.io.InputStream stream)` Avoid using this call; provide the system ID wherever possible.
`Document` | `parse(java.io.InputStream stream, java.lang.String systemID)`
`Document` | `parse(java.lang.String uri)`
`abstract void` | `setEntityResolver(EntityResolver resolver)`
`abstract void` | `setErrorHandler(ErrorHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilder

    protected DocumentBuilder()

Method Detail

### getDOMImplementation

    public abstract DOMImplementation getDOMImplementation()

### isNamespaceAware

    public abstract boolean isNamespaceAware()

### isValidating

    public abstract boolean isValidating()

### newDocument

    public abstract Document newDocument()

### parse

    public Document parse(java.io.File file)
                   throws SAXException,
                          java.io.IOException

  Constructs an InputSource from the file, and invokes parse (). The InputSource includes the URI for the file.

### parse

    public abstract Document parse(InputSource source)
                            throws SAXException,
                                   java.io.IOException

### parse

    public Document parse(java.io.InputStream stream)
                   throws SAXException,
                          java.io.IOException

  Avoid using this call; provide the system ID wherever possible. System IDs are essential when parsers resolve relative URIs, or provide diagnostics.

### parse

    public Document parse(java.io.InputStream stream,
                          java.lang.String systemID)
                   throws SAXException,
                          java.io.IOException

### parse

    public Document parse(java.lang.String uri)
                   throws SAXException,
                          java.io.IOException

### setEntityResolver

    public abstract void setEntityResolver(EntityResolver resolver)

### setErrorHandler

    public abstract void setErrorHandler(ErrorHandler handler)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.